package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急管理模块-交通运输机构-机构类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/10
 */
@Getter
public enum EmTransportationAgencyTypeEnums implements CodeDescEnumInterface {
    TRAFFIC(0, "交通"),
    RAILWAY(1, "铁路"),
    AIRPLANE(2, "民航"),
    PORT(3, "港口");

    private final Integer code;
    private final String desc;

    EmTransportationAgencyTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
